@font-face {
    font-family: "Fredoka";
    src: url("./fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2")
}

*, *::before, *::after {
    box-sizing: border-box;
}

:root{
    font-family: Fredoka, sans-serif;
    line-height: 1.6em;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
}

body {
    background-color: var(--bg);
    color: var(--primary);
    margin: 0
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header {
    background-color: var(--primary);
    color: var(--bg);
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-inline-start: -2rem;
}

nav a {
    display: inline-block;
    padding-block: 1rem;
    padding-inline: 2rem;
    text-decoration: none;
    color: inherit;
}

.row {
    display: flex;
    gap: 2rem;
}

.row > div {
    border: 1px dashed oklch(1 1 1);
    padding: 1rem;
}

.row > div:first-child {
    flex: 2;
}

.row > div:last-child {
    flex: 1;
}

.visually-hidden {
    border: 0;
    clip-path: inset(50%);
    height: 1px;
    margin: 0;
    overflow: hidden;
    position: absolute;
}

main {
    nav {
        --text: oklch(0.99 0.003 325);
        --bg2: oklch(0.45 0.32 40);
    }

    nav a {
        color: var(--text);
        background-color: var(--bg2);
        transition: color .2s ease-in-out, background-color;

        &:hover,
        &:focus-visible
    }

    nav li:first-child {
        margin-inline-end: auto;

    }

    nav li:first-child a{
        color: var(--primary);
        background-color: var(--bg);
        font-weight: bold;
    }
}

.cards {
    display: flex;
    gap: 2rem;

    margin: 0;
    padding: 0;
}

.cards li {
    display: flex;
    flex-direction: column;
    position: relative;
    box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
    border-radius: 1rem;
    overflow: hidden;
}

.cards li img {
    order: -1;
    display: block;
}

.cards .content {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.cards .overlay-link {
    position: absolute;
    inset: 0;
    z-index: 2;
    text-indent: -9999px;
}